scorers
Create scorers test
Requires scopes: runs:write
POST
/
api
/
scorers
/
{scorerId}
/
test
Create scorers test
curl --request POST \
--url https://evalgate.com/api/scorers/{scorerId}/test \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": {
"input": "<string>",
"output": "<string>",
"expectedOutput": "<string>",
"context": {},
"latencyMs": 123,
"costUsd": 123
},
"versionId": 123,
"resourceId": "<string>",
"idempotencyKey": "<string>",
"surface": "playground"
}
'import requests
url = "https://evalgate.com/api/scorers/{scorerId}/test"
payload = {
"input": {
"input": "<string>",
"output": "<string>",
"expectedOutput": "<string>",
"context": {},
"latencyMs": 123,
"costUsd": 123
},
"versionId": 123,
"resourceId": "<string>",
"idempotencyKey": "<string>",
"surface": "playground"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
input: {
input: '<string>',
output: '<string>',
expectedOutput: '<string>',
context: {},
latencyMs: 123,
costUsd: 123
},
versionId: 123,
resourceId: '<string>',
idempotencyKey: '<string>',
surface: 'playground'
})
};
fetch('https://evalgate.com/api/scorers/{scorerId}/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"resultRecord": {
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"artifactId": 123,
"versionId": 123,
"contentHash": "<string>",
"surface": "playground",
"resourceId": "<string>",
"status": "<string>",
"rawScore": "<string>",
"normalizedScore": "<string>",
"passed": false,
"reasoning": "<string>",
"evidence": {},
"logs": [
"<string>"
],
"errorCode": "<string>",
"errorMessage": "<string>",
"latencyMs": 123,
"costUsd": "<string>",
"modelCallId": "<string>",
"comparabilityStatus": "not_comparable",
"mappingVersionId": "<string>",
"calibrationSetId": "<string>",
"calibrationRunId": "<string>",
"scoreMappingId": "<string>",
"idempotencyKey": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
},
"execution": {
"status": "<string>",
"result": {
"score": 123,
"passed": true,
"reasoning": "<string>",
"evidence": {}
},
"normalizedScore": 123,
"comparabilityStatus": "not_comparable",
"logs": [
"<string>"
],
"latencyMs": 123,
"modelCallId": "<string>",
"costUsd": "<string>"
},
"version": {
"createdAt": "<string>",
"submittedAt": "<string>",
"approvedAt": "<string>",
"definition": {
"description": "<string>",
"inputSchema": {
"type": "<string>",
"properties": {},
"required": [
"<string>"
],
"additionalProperties": false,
"items": true,
"enum": [
"<string>"
]
},
"outputSchema": {
"type": "<string>",
"properties": {},
"required": [
"<string>"
],
"additionalProperties": false,
"items": true,
"enum": [
"<string>"
]
},
"scoreScale": {
"min": 123,
"max": 123,
"passThreshold": 123,
"labels": {}
},
"implementation": {
"type": "deterministic",
"operator": "contains",
"config": {
"caseSensitive": false,
"pattern": "<string>",
"maxLatencyMs": 123,
"maxCostUsd": 123,
"schema": {
"type": "<string>",
"properties": {},
"required": [
"<string>"
],
"additionalProperties": false,
"items": true,
"enum": [
"<string>"
]
}
}
},
"calibration": {
"requiredForPublishing": true,
"minHumanAnchors": 123,
"minAgreementRate": 123,
"maxParseFailureRate": 123,
"requireApprovedMapping": true,
"ownerId": "<string>"
},
"tags": [
"<string>"
]
},
"versionId": 123,
"artifactId": 123,
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"versionNumber": 123,
"payload": {},
"metadata": {},
"createdBy": "<string>",
"parentVersionId": 123,
"contentHash": "<string>",
"packageHash": "<string>",
"packageSignature": "<string>",
"reviewStatus": "<string>",
"reviewRevision": 123,
"submittedBy": "<string>",
"approvedBy": "<string>"
},
"idempotent": true
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
⌘I
Create scorers test
